package com.example.myagenda

import android.os.Bundle
import android.widget.Toast
import androidx.activity.enableEdgeToEdge
import androidx.appcompat.app.AppCompatActivity
import androidx.core.view.ViewCompat
import androidx.core.view.WindowInsetsCompat
import com.example.myagenda.databinding.ActivityActEditContatoBinding

class actEditContato : AppCompatActivity() {

    private lateinit var binding : ActivityActEditContatoBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityActEditContatoBinding.inflate(layoutInflater)
        setContentView(binding.root)

        val i = intent
        val id = i.extras?.getInt("id")

        val db = DBHelper(this)

        if (id != null) {
            val contato = db.getContatosById(id)

            binding.editNome.setText(contato.nome)
            binding.editEndereco.setText(contato.endereco)
            binding.editEmail.setText(contato.email)
            binding.editTelefone.setText(contato.telefone.toString())
        }

        binding.buttonSalvar.setOnClickListener {
            if (id != null) {
                val nome = binding.editNome.text.toString()
                val endereco = binding.editEndereco.text.toString()
                val email = binding.editEmail.text.toString()
                val telefone = binding.editTelefone.text.toString().toInt()

                val res = db.atualizarContato(id, nome, endereco, email, telefone)
                if (res > 0) {
                    Toast.makeText(applicationContext, "Sucesso ao atualizar: $res", Toast.LENGTH_SHORT).show()
                    setResult(1, i)
                    finish()
                }
                else {
                    Toast.makeText(applicationContext, "Erro ao atualizar: $res", Toast.LENGTH_SHORT).show()
                    setResult(0, i)
                }
            }
        }

        binding.buttonCancelar.setOnClickListener {
            finish()
        }

        binding.buttonExcluir.setOnClickListener {
            if (id != null) {

                val res = db.deletarContato(id)
                if (res > 0) {
                    Toast.makeText(applicationContext, "Sucesso ao excluir: $res", Toast.LENGTH_SHORT).show()
                    setResult(1, i)
                    finish()
                }
                else {
                    Toast.makeText(applicationContext, "Erro ao excluir: $res", Toast.LENGTH_SHORT).show()
                    setResult(0, i)
                }
            }

        }

    }
}