package com.example.myagenda.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.example.myagenda.Contato
import com.example.myagenda.R
import com.example.myagenda.adapter.listener.ContatoOnClickListener
import com.example.myagenda.adapter.viewholder.ContatoViewHolder

class ContatoListAdapter(
    private val contatoList: List<Contato>,
    private val contatoOnClickListener: ContatoOnClickListener)
    :RecyclerView.Adapter<ContatoViewHolder>() {
    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ContatoViewHolder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.row_contato,
            parent, false)
        return ContatoViewHolder(view)
    }

    override fun getItemCount(): Int {
        return contatoList.size
    }

    override fun onBindViewHolder(holder: ContatoViewHolder, position: Int) {
        val contato = contatoList[position]
        holder.textoNome.text = contato.nome
        holder.textoEndereco.text = contato.endereco
        holder.textoTelefone.text = contato.telefone.toString()

        holder.itemView.setOnClickListener{
            contatoOnClickListener.clickListener(contato)
        }
    }
}